Package com.ads.mm.etl.xml.mapping

# Class MMMappingTransformationMap

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<MMMappingTransformation>
com.ads.mm.etl.xml.mapping.MMMappingTransformationMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<MMMappingTransformation>`, `Collection<MMMappingTransformation>`, `List<MMMappingTransformation>`, `RandomAccess`

public class MMMappingTransformationMap extends ArrayList<MMMappingTransformation>

Author:
  Syed Abdul Rahim
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMMappingTransformationMap(MMMapping mapping)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fillMultiCastDependencies()`
  `void`
  `fillUnionAllDependencies()`
  `MMMapping`
  `getMapping()`
  `boolean`
  `isLookupUsed()`
  `boolean`
  `isTransformationUsed()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### MMMappingTransformationMap

    public MMMappingTransformationMap(MMMapping mapping)

- ## Method Details

  - ### fillUnionAllDependencies

    public void fillUnionAllDependencies()

  - ### fillMultiCastDependencies

    public void fillMultiCastDependencies()

  - ### isLookupUsed

    public boolean isLookupUsed()

  - ### isTransformationUsed

    public boolean isTransformationUsed()

  - ### getMapping

    public MMMapping getMapping()
    Returns:
      the _mapping